<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$nav_menu_args = NeeonTheme_Helper::nav_menu_args();

if( !empty( NeeonTheme::$options['logo'] ) ) {
    $logo_dark = wp_get_attachment_image( NeeonTheme::$options['logo'], 'full' );
    $panpie_dark_logo = $logo_dark;
}else {
    $panpie_dark_logo = "<img width='162' height='52' src='" . NEEON_IMG_URL . 'logo-dark.svg' . "' alt='" . esc_attr( get_bloginfo('name') ) . "' loading='lazy'>"; 
}

?>

<div class="rt-header-menu mean-container" id="meanmenu"> 
    <?php if ( NeeonTheme::$options['mobile_topbar'] ) { ?>
        <?php get_template_part('template-parts/header/mobile', 'topbar');?>
    <?php } ?>
    <div class="mobile-mene-bar">
        <div class="mean-bar">
            <span class="sidebarBtn ">
                <span class="bar"></span>
                <span class="bar"></span>
                <span class="bar"></span>
                <span class="bar"></span>
            </span>
            <a href="<?php echo esc_url(home_url('/'));?>"><?php echo wp_kses( $panpie_dark_logo, 'alltext_allow' ); ?></a>
            <?php if ( NeeonTheme::$options['mobile_search'] ) { ?>
                <div class="info"><?php get_template_part( 'template-parts/header/icon', 'search' );?></div>
            <?php } ?>
        </div>    
        <div class="rt-slide-nav">
            <div class="offscreen-navigation">
                <?php wp_nav_menu( $nav_menu_args );?>
            </div>
        </div>
    </div>
</div>
